//+------------------------------------------------------------------+
//|                                      exSpy Control panel MCM.mq5 |
//|                                            Copyright 2010, Lizar |
//|                            https://login.mql5.com/ru/users/Lizar |
//+------------------------------------------------------------------+
#define VERSION       "1.00 Build 1 (28 Dec 2010)"

#property copyright   "Copyright 2010, Lizar"
#property link        "https://login.mql5.com/ru/users/Lizar"
#property version     VERSION
#property description "   - Spy Control panel MCM"

//+------------------------------------------------------------------+
//|     ,     |
//|     .     |
//|      "|"                        |
//+------------------------------------------------------------------+
  
enum ENUM_CHART_EVENT_SYMBOL
  {
   CHARTEVENT_NO        =0,          //  
   CHARTEVENT_INIT      =0,          //  "" 
   
   CHARTEVENT_NEWBAR_M1 =0x00000001, //  " "  1 - 
   CHARTEVENT_NEWBAR_M2 =0x00000002, //  " "  2 - 
   CHARTEVENT_NEWBAR_M3 =0x00000004, //  " "  3 - 
   CHARTEVENT_NEWBAR_M4 =0x00000008, //  " "  4 - 
   
   CHARTEVENT_NEWBAR_M5 =0x00000010, //  " "  5 - 
   CHARTEVENT_NEWBAR_M6 =0x00000020, //  " "  6 - 
   CHARTEVENT_NEWBAR_M10=0x00000040, //  " "  10- 
   CHARTEVENT_NEWBAR_M12=0x00000080, //  " "  12- 
   
   CHARTEVENT_NEWBAR_M15=0x00000100, //  " "  15- 
   CHARTEVENT_NEWBAR_M20=0x00000200, //  " "  20- 
   CHARTEVENT_NEWBAR_M30=0x00000400, //  " "  30- 
   CHARTEVENT_NEWBAR_H1 =0x00000800, //  " "  1 - 
   
   CHARTEVENT_NEWBAR_H2 =0x00001000, //  " "  2 - 
   CHARTEVENT_NEWBAR_H3 =0x00002000, //  " "  3 - 
   CHARTEVENT_NEWBAR_H4 =0x00004000, //  " "  4 - 
   CHARTEVENT_NEWBAR_H6 =0x00008000, //  " "  6 - 
   
   CHARTEVENT_NEWBAR_H8 =0x00010000, //  " "  8 - 
   CHARTEVENT_NEWBAR_H12=0x00020000, //  " "  12- 
   CHARTEVENT_NEWBAR_D1 =0x00040000, //  " "   
   CHARTEVENT_NEWBAR_W1 =0x00080000, //  " "   
     
   CHARTEVENT_NEWBAR_MN1=0x00100000, //  " "      
   CHARTEVENT_TICK      =0x00200000, //  " "
   
   CHARTEVENT_ALL       =0xFFFFFFFF, //   
  };
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {   
   if(iCustom("GBPUSD",PERIOD_M1,"Spy Control panel MCM",ChartID(),0,CHARTEVENT_TICK|CHARTEVENT_NEWBAR_M5)==INVALID_HANDLE) 
      { Print("    GBPUSD"); return(true);}
   if(iCustom("EURUSD",PERIOD_M1,"Spy Control panel MCM",ChartID(),1,CHARTEVENT_NEWBAR_M1|CHARTEVENT_TICK)==INVALID_HANDLE) 
      { Print("    EURUSD"); return(true);}
   if(iCustom("USDJPY",PERIOD_M1,"Spy Control panel MCM",ChartID(),2,CHARTEVENT_TICK)==INVALID_HANDLE) 
      { Print("    USDJPY"); return(true);}
   if(iCustom("USDCHF",PERIOD_M1,"Spy Control panel MCM",ChartID(),2,CHARTEVENT_TICK)==INVALID_HANDLE) 
      { Print("    USDJPY"); return(true);}
   if(iCustom("USDSEK",PERIOD_M1,"Spy Control panel MCM",ChartID(),2,CHARTEVENT_TICK)==INVALID_HANDLE) 
      { Print("    USDJPY"); return(true);}
   if(iCustom("USDCAD",PERIOD_M1,"Spy Control panel MCM",ChartID(),2,CHARTEVENT_TICK)==INVALID_HANDLE) 
      { Print("    USDJPY"); return(true);}
      
   Print(" ,  ...");
   //---
   return(0);
  }
  
//+------------------------------------------------------------------+
//|    .     |
//|    ,    .        |
//|                                                                  |
//|       -|
//|  iSPY Control panel MCM    |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,         //  
                  const long&   lparam, //      .
                                        //    ENUM_CHART_EVENT_SYMBOL.
                  const double& dparam, // 
                  const string& sparam  //  
                 )
  {
   if(id>=CHARTEVENT_CUSTOM)      
     {
      Print(TimeToString(TimeCurrent(),TIME_SECONDS)," -> id=",id-CHARTEVENT_CUSTOM,":  ",sparam," ",EnumToString((ENUM_CHART_EVENT_SYMBOL)lparam)," price=",dparam);
     }
  }
 
